de.caff.generics.function

## Interface BooleanOperator1

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface BooleanOperator1

  Unary operator with a boolean argument and result.
  Since:
    October 31, 2019
  Author:
    Rammi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BooleanOperator1` | `NOT` The standard boolean NOT (`!`)

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default BooleanOperator1` | `andThen(BooleanOperator1 after)` Create a function which applies this function and feeds the result into the next function.
    `boolean` | `applyAsBoolean(boolean value)` Apply the function.
    `default BooleanOperator0` | `partial(boolean argument)` Create a zero argument function from this one by applying a constant argument.

- - ### Field Detail

    - #### NOT

          @NotNull
          static final BooleanOperator1 NOT

      The standard boolean NOT (`!`) operator.

  - ### Method Detail

    - #### applyAsBoolean

          boolean applyAsBoolean(boolean value)

      Apply the function.
      Parameters:
        `value` - parameter value of the function
      Returns:
        result of the function

    - #### partial

          @NotNull
          default BooleanOperator0 partial(boolean argument)

      Create a zero argument function from this one by applying a constant argument. Although useless for pure functions it can be useful in cases where the zero argument function is a factory (and therefore not pure).
      Parameters:
        `argument` - constant argument
      Returns:
        zero argument function

    - #### andThen

          @NotNull
          default BooleanOperator1 andThen(@NotNull
                                                    BooleanOperator1 after)

      Create a function which applies this function and feeds the result into the next function.
      Parameters:
        `after` - function called with the result of this function
      Returns:
        chained function